package com.siwei.system.mapper;

import java.util.List;

import com.siwei.system.domain.SysRoleAuditflow;

/**
 * 角色与核查流程关联Mapper接口
 *
 * @author siwei
 * @date 2025-01-22
 */
public interface SysRoleAuditflowMapper {
    /**
     * 查询角色与核查流程关联
     *
     * @param roleId 角色与核查流程关联主键
     * @return 角色与核查流程关联
     */
    public SysRoleAuditflow selectSysRoleAuditflowByRoleId(Long roleId);

    /**
     * 查询角色与核查流程关联列表
     *
     * @param sysRoleAuditflow 角色与核查流程关联
     * @return 角色与核查流程关联集合
     */
    public List<SysRoleAuditflow> selectSysRoleAuditflowList(SysRoleAuditflow sysRoleAuditflow);

    /**
     * 新增角色与核查流程关联
     *
     * @param sysRoleAuditflow 角色与核查流程关联
     * @return 结果
     */
    public int insertSysRoleAuditflow(SysRoleAuditflow sysRoleAuditflow);

    /**
     * 修改角色与核查流程关联
     *
     * @param sysRoleAuditflow 角色与核查流程关联
     * @return 结果
     */
    public int updateSysRoleAuditflow(SysRoleAuditflow sysRoleAuditflow);

    /**
     * 删除角色与核查流程关联
     *
     * @param roleId 角色与核查流程关联主键
     * @return 结果
     */
    public int deleteSysRoleAuditflowByRoleId(Long roleId);

    /**
     * 批量删除角色与核查流程关联
     *
     * @param roleIds 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteSysRoleAuditflowByRoleIds(Long[] roleIds);

    /**
     * 通过角色ID删除角色和核查流程关联
     *
     * @param roleId 角色ID
     * @return 结果
     */
    public int deleteRoleAuditflowByRoleId(Long roleId);

    /**
     * 批量删除角色和核查流程关联
     *
     * @param roleId 角色ID
     * @return 结果
     */
    public int deleteRoleAuditflow(Long[] roleId);

    /**
     * 批量新增角色核查流程信息
     *
     * @param roleAuditflowList 核查流程列表
     * @return 结果
     */
    public int batchRoleAuditflow(List<SysRoleAuditflow> roleAuditflowList);
}
